#ifndef ICON_H
#define ICON_H

#include <QWidget>
#include <QToolButton>
#include <QMediaPlayer>
#include <QMouseEvent>
#include <QSvgRenderer>
#include <QPixmap>
#include <QPainter>
#include <QPaintEvent>
#include <QApplication>
#include <QRect>
#include <QDesktopWidget>

class Icon : public QToolButton
{
    Q_OBJECT

public:

    enum IconType
    {
        PAUSE_PLAY,
        MENU,
        OPEN
    };

    Icon(IconType t, QWidget *parent = 0);

public slots:

    void stateChanged(QMediaPlayer::State state);

private:

    IconType            type;
    QMediaPlayer::State playerState;
    QString             svgFile;

    void paintEvent(QPaintEvent *);
    void loadImg(const QString &path);

private slots:

    void buttonClicked();

signals:

    void pause();
    void play();
    void settings();
    void open();
};

#endif // ICON_H
